#include <iostream>
#include <algorithm>
using namespace std;
struct vage{
    int l,u;
};
struct pit{
    int a,b,x;
};
int main(){
    int n,m;
    cin>>n>>m;
    vage v[10000];
    pit p[10000];
    int brojac[10000];
    for(int i=0;i<n;i++){
        cin>>v[i].l>>v[i].u;
    }
    for(int i=0;i<m;i++){
        cin>>p[i].a>>p[i].b>>p[i].x;
    }
    for(int i=0;i<m;i++){
        for(int j=p[i].a-1;j<=p[i].b-1;j++){
            if(p[i].x>=v[j].l && p[i].x<=v[j].u){
                brojac[i]++;
            }
        }
    }
    for(int i=0;i<m;i++){
        cout<<brojac[i]<<endl;
    }
}